<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/include/AVSCommon/Utils/AudioFormat.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a></li><li class="navelem"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">AudioFormat.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_audio_format_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_AUDIOFORMAT_H_</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_AUDIOFORMAT_H_</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span>utils {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">   31</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">AudioFormat</a> {</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a1338278de3fb92400e7ac33373cf1f22">   35</a></span>&#160;    <span class="keyword">enum class</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a1338278de3fb92400e7ac33373cf1f22">Encoding</a> {</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a1338278de3fb92400e7ac33373cf1f22ad4e44911dba62cfb025d1dd56fab93ad">LPCM</a>,</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a1338278de3fb92400e7ac33373cf1f22a4c2223596711a6a941bc19e8067ceef9">OPUS</a></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    };</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#adb010268af911ce6cb96b3172030f679">   46</a></span>&#160;    <span class="keyword">enum class</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#adb010268af911ce6cb96b3172030f679">Layout</a> {</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#adb010268af911ce6cb96b3172030f679aaf19bf4014a346bac02bca39ae8d6d89">NON_INTERLEAVED</a>,</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#adb010268af911ce6cb96b3172030f679a6eb6ea02262afd72767b6aa2f0139799">INTERLEAVED</a></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    };</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a0415c3e88ef5a43e176055c88e554b21">   57</a></span>&#160;    <span class="keyword">enum class</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a0415c3e88ef5a43e176055c88e554b21">Endianness</a> {</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a0415c3e88ef5a43e176055c88e554b21a1314341b466dcb5e2c880b76414c49fe">LITTLE</a>,</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a0415c3e88ef5a43e176055c88e554b21aa60c6c694491d75b439073b8cb05b139">BIG</a></div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    };</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a29695e753acf10275ae83cd509d658b4">   66</a></span>&#160;    <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a1338278de3fb92400e7ac33373cf1f22">Encoding</a> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a29695e753acf10275ae83cd509d658b4">encoding</a>;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a1bcb562b1846beaa56990adf89f0f4fb">   69</a></span>&#160;    <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a0415c3e88ef5a43e176055c88e554b21">Endianness</a> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a1bcb562b1846beaa56990adf89f0f4fb">endianness</a>;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a4bb542a9da1a5415446abecf7afe6ef5">   72</a></span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a4bb542a9da1a5415446abecf7afe6ef5">sampleRateHz</a>;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a8921b447fcaba19b4a9a1f498aaa9ba0">   75</a></span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a8921b447fcaba19b4a9a1f498aaa9ba0">sampleSizeInBits</a>;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a3c98d77a4f5f2723b4a2c4045d3dd181">   78</a></span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a3c98d77a4f5f2723b4a2c4045d3dd181">numChannels</a>;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#ac788a54cc931f134c876f6646609b96d">   81</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#ac788a54cc931f134c876f6646609b96d">dataSigned</a>;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a05ce645081b4a71bc899109bbde73a50">   84</a></span>&#160;    <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#adb010268af911ce6cb96b3172030f679">Layout</a> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a05ce645081b4a71bc899109bbde73a50">layout</a>;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;};</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#afcab22c99d77dbc82469cf8a1eef46be">   94</a></span>&#160;<span class="keyword">inline</span> std::ostream&amp; <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#afcab22c99d77dbc82469cf8a1eef46be">operator&lt;&lt;</a>(std::ostream&amp; stream, <span class="keyword">const</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a1338278de3fb92400e7ac33373cf1f22">AudioFormat::Encoding</a>&amp; encoding) {</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <span class="keywordflow">switch</span> (encoding) {</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a1338278de3fb92400e7ac33373cf1f22ad4e44911dba62cfb025d1dd56fab93ad">AudioFormat::Encoding::LPCM</a>:</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;            stream &lt;&lt; <span class="stringliteral">&quot;LPCM&quot;</span>;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;            <span class="keywordflow">break</span>;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a1338278de3fb92400e7ac33373cf1f22a4c2223596711a6a941bc19e8067ceef9">AudioFormat::Encoding::OPUS</a>:</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;            stream &lt;&lt; <span class="stringliteral">&quot;OPUS&quot;</span>;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;            <span class="keywordflow">break</span>;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    }</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    <span class="keywordflow">return</span> stream;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;}</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a241bf7b99d7428c635afc57025e8b8af">  113</a></span>&#160;<span class="keyword">inline</span> std::ostream&amp; <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#afcab22c99d77dbc82469cf8a1eef46be">operator&lt;&lt;</a>(std::ostream&amp; stream, <span class="keyword">const</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a0415c3e88ef5a43e176055c88e554b21">AudioFormat::Endianness</a>&amp; endianness) {</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    <span class="keywordflow">switch</span> (endianness) {</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a0415c3e88ef5a43e176055c88e554b21a1314341b466dcb5e2c880b76414c49fe">AudioFormat::Endianness::LITTLE</a>:</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;            stream &lt;&lt; <span class="stringliteral">&quot;LITTLE&quot;</span>;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;            <span class="keywordflow">break</span>;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a0415c3e88ef5a43e176055c88e554b21aa60c6c694491d75b439073b8cb05b139">AudioFormat::Endianness::BIG</a>:</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;            stream &lt;&lt; <span class="stringliteral">&quot;BIG&quot;</span>;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;            <span class="keywordflow">break</span>;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    }</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    <span class="keywordflow">return</span> stream;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;}</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;}  <span class="comment">// namespace utils</span></div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_AUDIOFORMAT_H_</span></div><div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format_html_adb010268af911ce6cb96b3172030f679"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#adb010268af911ce6cb96b3172030f679">alexaClientSDK::avsCommon::utils::AudioFormat::Layout</a></div><div class="ttdeci">Layout</div><div class="ttdef"><b>Definition:</b> AudioFormat.h:46</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format_html_a1338278de3fb92400e7ac33373cf1f22a4c2223596711a6a941bc19e8067ceef9"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a1338278de3fb92400e7ac33373cf1f22a4c2223596711a6a941bc19e8067ceef9">alexaClientSDK::avsCommon::utils::AudioFormat::Encoding::OPUS</a></div><div class="ttdoc">Represents OPUS encoding. </div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format_html_adb010268af911ce6cb96b3172030f679aaf19bf4014a346bac02bca39ae8d6d89"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#adb010268af911ce6cb96b3172030f679aaf19bf4014a346bac02bca39ae8d6d89">alexaClientSDK::avsCommon::utils::AudioFormat::Layout::NON_INTERLEAVED</a></div><div class="ttdoc">Non-Interleaved : The L and R are separated in different streams. </div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format_html_a1338278de3fb92400e7ac33373cf1f22"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a1338278de3fb92400e7ac33373cf1f22">alexaClientSDK::avsCommon::utils::AudioFormat::Encoding</a></div><div class="ttdeci">Encoding</div><div class="ttdef"><b>Definition:</b> AudioFormat.h:35</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format_html_a1338278de3fb92400e7ac33373cf1f22ad4e44911dba62cfb025d1dd56fab93ad"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a1338278de3fb92400e7ac33373cf1f22ad4e44911dba62cfb025d1dd56fab93ad">alexaClientSDK::avsCommon::utils::AudioFormat::Encoding::LPCM</a></div><div class="ttdoc">Represents LPCM (Linear pulse code modulation) encoding. </div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format_html"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">alexaClientSDK::avsCommon::utils::AudioFormat</a></div><div class="ttdef"><b>Definition:</b> AudioFormat.h:31</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format_html_adb010268af911ce6cb96b3172030f679a6eb6ea02262afd72767b6aa2f0139799"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#adb010268af911ce6cb96b3172030f679a6eb6ea02262afd72767b6aa2f0139799">alexaClientSDK::avsCommon::utils::AudioFormat::Layout::INTERLEAVED</a></div><div class="ttdoc">Interleaved : The L and R sides of a stereo recording are interleaved. </div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format_html_a0415c3e88ef5a43e176055c88e554b21"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a0415c3e88ef5a43e176055c88e554b21">alexaClientSDK::avsCommon::utils::AudioFormat::Endianness</a></div><div class="ttdeci">Endianness</div><div class="ttdef"><b>Definition:</b> AudioFormat.h:57</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format_html_a05ce645081b4a71bc899109bbde73a50"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a05ce645081b4a71bc899109bbde73a50">alexaClientSDK::avsCommon::utils::AudioFormat::layout</a></div><div class="ttdeci">Layout layout</div><div class="ttdoc">The layout of format for cases where numChannels &gt; 1. </div><div class="ttdef"><b>Definition:</b> AudioFormat.h:84</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format_html_a0415c3e88ef5a43e176055c88e554b21a1314341b466dcb5e2c880b76414c49fe"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a0415c3e88ef5a43e176055c88e554b21a1314341b466dcb5e2c880b76414c49fe">alexaClientSDK::avsCommon::utils::AudioFormat::Endianness::LITTLE</a></div><div class="ttdoc">Represents little endianness. </div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format_html_a4bb542a9da1a5415446abecf7afe6ef5"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a4bb542a9da1a5415446abecf7afe6ef5">alexaClientSDK::avsCommon::utils::AudioFormat::sampleRateHz</a></div><div class="ttdeci">unsigned int sampleRateHz</div><div class="ttdoc">The number of samples recorded or played per second. </div><div class="ttdef"><b>Definition:</b> AudioFormat.h:72</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_html_afcab22c99d77dbc82469cf8a1eef46be"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#afcab22c99d77dbc82469cf8a1eef46be">alexaClientSDK::avsCommon::utils::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;stream, const AudioFormat::Encoding &amp;encoding)</div><div class="ttdef"><b>Definition:</b> AudioFormat.h:94</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format_html_a0415c3e88ef5a43e176055c88e554b21aa60c6c694491d75b439073b8cb05b139"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a0415c3e88ef5a43e176055c88e554b21aa60c6c694491d75b439073b8cb05b139">alexaClientSDK::avsCommon::utils::AudioFormat::Endianness::BIG</a></div><div class="ttdoc">Represents big endianness. </div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format_html_ac788a54cc931f134c876f6646609b96d"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#ac788a54cc931f134c876f6646609b96d">alexaClientSDK::avsCommon::utils::AudioFormat::dataSigned</a></div><div class="ttdeci">bool dataSigned</div><div class="ttdoc">true if the data is signed false otherwise. </div><div class="ttdef"><b>Definition:</b> AudioFormat.h:81</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format_html_a29695e753acf10275ae83cd509d658b4"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a29695e753acf10275ae83cd509d658b4">alexaClientSDK::avsCommon::utils::AudioFormat::encoding</a></div><div class="ttdeci">Encoding encoding</div><div class="ttdoc">The encoding of the data. </div><div class="ttdef"><b>Definition:</b> AudioFormat.h:66</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format_html_a1bcb562b1846beaa56990adf89f0f4fb"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a1bcb562b1846beaa56990adf89f0f4fb">alexaClientSDK::avsCommon::utils::AudioFormat::endianness</a></div><div class="ttdeci">Endianness endianness</div><div class="ttdoc">The endianness of the data. </div><div class="ttdef"><b>Definition:</b> AudioFormat.h:69</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format_html_a3c98d77a4f5f2723b4a2c4045d3dd181"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a3c98d77a4f5f2723b4a2c4045d3dd181">alexaClientSDK::avsCommon::utils::AudioFormat::numChannels</a></div><div class="ttdeci">unsigned int numChannels</div><div class="ttdoc">The number of channels. </div><div class="ttdef"><b>Definition:</b> AudioFormat.h:78</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format_html_a8921b447fcaba19b4a9a1f498aaa9ba0"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a8921b447fcaba19b4a9a1f498aaa9ba0">alexaClientSDK::avsCommon::utils::AudioFormat::sampleSizeInBits</a></div><div class="ttdeci">unsigned int sampleSizeInBits</div><div class="ttdoc">The bits per sample. </div><div class="ttdef"><b>Definition:</b> AudioFormat.h:75</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
